Human Tokenプロセス中にキャプチャされたセルフィーを取得します。
Human Tokenプロセス中にユーザーがキャプチャした生体認証セルフィーを返します。画像はbase64エンコード文字列として返されます。
生体認証キャプチャを実行した完了済みプロセスで利用可能です — 5つすべてのHuman Tokenフロー(api+humantoken、api+liveness+humantoken、api+liveness+humantoken+revalidation、humantoken、humantoken+revalidation)。生体認証キャプチャなしでプロセスが完了した場合は利用できません。返すセルフィーがないためです。
セルフィーはプロセス完了後 24時間 利用可能です。その後、画像は永久に削除され、このエンドポイントは 404 を返します。
エンドポイント
| 環境 | URL |
|---|---|
| 本番 | GET https://humantoken.unico.app/client/v1/process/{processId}/selfie |
リクエスト
| ヘッダー | 値 |
|---|---|
x-unico-accesskey | <your_access_key>(認証を参照) |
| パラメータ | 型 | 必須 | 説明 |
|---|---|---|---|
processId | string (UUID) | はい | プロセスの作成で返されたプロセス識別子。 |
例
- cURL
- Node.js
curl -X GET https://humantoken.unico.app/client/v1/process/$PROCESS_ID/selfie \
-H "x-unico-accesskey: $UNICO_ACCESS_KEY"
import fetch from 'node-fetch';
const res = await fetch(
`https://humantoken.unico.app/client/v1/process/${processId}/selfie`,
{ headers: { 'x-unico-accesskey': process.env.UNICO_ACCESS_KEY } }
);
const { fileContents, contentType } = await res.json();
// fileContents is a base64-encoded image string
レスポンス
{
"fileContents": "/9j/4AAQSkZJR...",
"contentType": "image/jpeg"
}
| フィールド | 型 | 説明 |
|---|---|---|
fileContents | string (base64) | キャプチャされたセルフィー、base64エンコード済み。 |
contentType | string | 画像のMIMEタイプ — image/jpegまたはimage/png。 |
エラーコード
- 400 Bad Request
- 401 Unauthorized
- 403 Forbidden
- 404 Not Found
- 429 Too Many Requests
パスパラメータprocessIdが欠落しているか、形式が正しくありません。
x-unico-accesskeyヘッダーのアクセスキーが存在しないか、無効です。認証を参照してください。
このプロセスのセルフィーにアクセスする権限が不足しています。
プロセスが見つからない、プロセスが生体認証キャプチャなしで完了した、または24時間の保持期間が過ぎています。
Rate limit reached. When your system receives an HTTP 429 error, you must implement mechanisms to prevent cascading failures and avoid worsening the restriction.
Best practices:
- Cool-down period (backoff): Immediately halt or throttle subsequent requests from your system. Do not continuously retry failed requests in a tight loop.
- Queueing & throttling: Buffer or queue outgoing requests on your end to control the traffic flow before re-sending them.
- Exponential backoff with jitter: When retrying, increase the waiting time exponentially between attempts (e.g., 1 s, 2 s, 4 s, 8 s) and add a small random delay ("jitter") to prevent a herd effect where all queued requests retry at the exact same millisecond.
Continuously hitting a rate-limited endpoint without backing off can prolong the restriction period and severely impact your system's operational throughput. Properly throttling requests on your side ensures a smoother, more resilient integration.
For default limits, increase requests and additional details, see Rate Limits.